This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 163994 - sparse files not handled efficiently
sparse files not handled efficiently
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: star (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 14:14 EDT by Neal Becker
Modified: 2009-01-25 08:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 08:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2005-07-22 14:14:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
According to my reading of star manpage, -sparse only works efficiently on 
solaris. 
 
The following algorithm is used for cp, tar, rdist IIRC: 
 
#if POSIX 
if (st.blocksize*st.blocks < st.size): 
  file is sparse 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.star -c -sparse 
2. 
3. 
   

Additional info:
Comment 1 Peter Vrabec 2005-09-06 07:54:18 EDT
I'm sorry, what u complain about?
Comment 2 Neal Becker 2005-09-06 07:57:11 EDT
Never mind. 
Comment 3 Jörg Schilling 2009-01-25 08:01:08 EST
Even on Linux, star handles sparse files more efficiently than
GNU tar.

If you are interested on a correct and more efficient sparse file
support on Linux, I recommend you to implement the lseek SEEK_HOLE/SEEK_DATA
interface that Solaris introduced for star.

Note You need to log in before you can comment on or make changes to this bug.